%define oname KVolumeOSD

Name: kde3-kvolumeosd
Version: 0.1
Release: %mkrel 2
Summary: An application showing OSD to respond volume buttons
License: GPLv2+
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.kde-apps.org/content/show.php?content=80354
Source: http://www.kde-apps.org/CONTENT/content-files/80354-%{oname}-%{version}.tar.gz
BuildRequires: kdelibs-devel
BuildRequires: desktop-file-utils
Requires: kdemultimedia-kmix

%description
KVolumeOSD is a simple KDE application that runs in the background and
responds to volume buttons by showing a little OSD. It delegates the
actual job of adjusting the volume to KMix.

%prep
%setup -q -n %{oname}

%build
make -f Makefile.cvs
%configure_kde3
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor='' --delete-original \
	--dir %buildroot%_kde3_datadir/applications/kde \
	--add-category='Audio;Mixer' \
	%buildroot%_kde3_datadir/applnk/Utilities/kvolumeosd.desktop

%clean
rm -rf %buildroot

%post
%{update_menus}
%update_kde3_icon_cache hicolor

%postun
%{clean_menus}
%clean_kde3_icon_cache hicolor

%files
%defattr(-,root,root)
%{_kde3_bindir}/kvolumeosd
%{_kde3_appsdir}/kvolumeosd
%{_kde3_datadir}/doc/HTML/en/kvolumeosd
%{_kde3_datadir}/applications/kde/*.desktop
%{_kde3_iconsdir}/hicolor/*/apps/*


%changelog
* Fri May 09 2008 Funda Wang <fundawang@mandriva.org> 0.1-2mdv2009.0
+ Revision: 205328
- fix post and postun script
- fix name
- import source and spec
- Created package structure for kde3-kvolumeosd.

